/* eslint-env mocha */
/* eslint-disable no-unused-expressions */
const { expect } = require('chai');
const FfmpegInput = require('../FfmpegInput/FfmpegInput');
const { inputFileMock } = require('../../test/fixtures');

describe('FfmpegStream', () => {
  describe('Unit Tests', () => {
    describe('guess_layout_max()', () => {
      it('adds a guess_layout_max option with a number argument', () => {
        const input = new FfmpegInput(inputFileMock);
        const test = input.streams[0];
        test.guess_layout_max(2);
        expect(test.hasOption('guess_layout_max')).to.be.true;
      });

      it('throws with a string argument', () => {
        it('adds a guess_layout_max option with a number argument', () => {
          const input = new FfmpegInput(inputFileMock);
          const test = input.streams[0];
          expect(() => test.guess_layout_max('foo')).to.throw(TypeError);
        });
      });
    });
  });
});
